[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.LookupCache

Should lookup values be cached

## Declaration

Source position: db.pas line 432

`published property TField.LookupCache: Boolean read FLookupCache write FLookupCache;`

## Description

LookupCache is by default False. If it is set to True then a list of key, value pairs will be created from the LookupKeyFields in the dataset pointed to by the LookupDataset property. The list of key, value pairs is available through the TField.LookupList property.

## See also

LookupKeyFields |  | Names of fields on which to perform a locate
LookupDataset |  | Dataset with lookup values
TField.LookupList |  | List of lookup values

The latest version of this document can be found at lazarus-ccr.sourceforge.net.